Subject: Re: [codec] #3: 2.2. Conferencing: Support of binaural audio?

From: Michael Knappe <[email-masked]>
Date: Tue, 23 Mar 2010 11:32:20 -0700

I agree that any spatial processing should be independent (either out of band cues or in-band spatially processed audio) of the codec's underlying audio carriage. We may wish to specify the order of channels packed into an RTP packet, does anyone know if that has already been covered in AVT?

Cheers,

Mike

----- Original Message -----
From: [email-masked] <[email-masked]>
To: [email-masked] <[email-masked]>; [email-masked] <[email-masked]>
Cc: [email-masked] <[email-masked]>
Sent: Tue Mar 23 13:53:32 2010
Subject: Re: [codec] #3: 2.2.  Conferencing: Support of binaural audio?

I agree 100% that the conference should be stereo, however, I am not sure that CODEC should solve еры positioning task.
There are other ways like sending the spatial position toward the client and let the client-side to the positioning job.
(remember, that in today's conference, like H.264SVC, assume that each participant MAY HAVE DIFFERENT LAYOUT of participants on the screen, therefore, spatial position can be different for different listeners).
So its not probably wise to mix in stereo on the server...

Slava Borilin

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of codec issue tracker
Sent: Tuesday, March 23, 2010 8:33 PM
To: [email-masked]
Cc: [email-masked]
Subject: [codec] #3: 2.2. Conferencing: Support of binaural audio?

#3: 2.2.  Conferencing: Support of binaural audio?
------------------------------------+---------------------------------------
 Reporter:  hoene@…                 |       Owner:     
     Type:  enhancement             |      Status:  new
 Priority:  major                   |   Milestone:     
Component:  requirements            |     Version:     
 Severity:  -                       |    Keywords:     
------------------------------------+---------------------------------------
 The mono mixing in teleconferences is somewhat technically outdated. It
 would make more sense to state the requirements for stereo mixing, which
 greatly helps to quality of teleconferencing.
 Then, if participants are placed at particular positions, they can be
 identified and understood much better, especially if multiple persons
 speak at the same time.

 Thus, I would suggest to give the low complexity mono mixing a low
 priority and the stereo mixing a higher priority.

-- 
Ticket URL: <http://tools.ietf.org/wg/codec/trac/ticket/3>
codec <http://tools.ietf.org/codec/>

_______________________________________________
codec mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/codec
_______________________________________________
codec mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/codec

---

From: Marc Petit-Huguenin <[email-masked]>
Date: Tue, 23 Mar 2010 11:41:07 -0700

On 03/23/2010 11:32 AM, Michael Knappe wrote:
> I agree that any spatial processing should be independent (either out
> of band cues or in-band spatially processed audio) of the codec's
> underlying audio carriage. We may wish to specify the order of
> channels packed into an RTP packet, does anyone know if that has
> already been covered in AVT?

RFC 3551 section 4.1

>
> Cheers,
>
> Mike
>
> ----- Original Message ----- From:
> [email-masked]<[email-masked]> To:
> [email-masked]<[email-masked]>;
> [email-masked]<[email-masked]> Cc:
> [email-masked]<[email-masked]> Sent: Tue Mar 23 13:53:32 2010
> I agree 100% that the conference should be stereo, however, I am not
> sure that CODEC should solve еры positioning task. There are other
> ways like sending the spatial position toward the client and let the
> client-side to the positioning job. (remember, that in today's
> conference, like H.264SVC, assume that each participant MAY HAVE
> DIFFERENT LAYOUT of participants on the screen, therefore, spatial
> position can be different for different listeners). So its not
> probably wise to mix in stereo on the server...
>
> Slava Borilin
>
>
> -----Original Message----- From: [email-masked]
> [mailto:[email-masked]] On Behalf Of codec issue tracker
> Sent: Tuesday, March 23, 2010 8:33 PM To: [email-masked] Cc:
> [email-masked] Subject: [codec] #3: 2.2. Conferencing: Support of
> binaural audio?
>
Reporter:  hoene@…                 |       Owner:
> Type:  enhancement             |      Status:  new Priority:  major
> |   Milestone: Component:  requirements            |     Version:
> Severity:  -                       |    Keywords:
> would make more sense to state the requirements for stereo mixing,
> which greatly helps to quality of teleconferencing. Then, if
> participants are placed at particular positions, they can be
> identified and understood much better, especially if multiple
> persons speak at the same time.
>